Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Remote_Mutex Class Reference

Proxy for acquiring, renewing, and releasing a distributed mutex. More...

`#include <Remote_Tokens.h>`

Inheritance diagram for ACE_Remote_Mutex:

[legend]
Collaboration diagram for ACE_Remote_Mutex:

[legend]
List of all members.

## Public Methods
| ACE_Remote_Mutex (void)
| Null creation. Remote_Token_Proxy::open must be called.
| ACE_Remote_Mutex (const ACE_TCHAR *token_name, int ignore_deadlock=0, int debug=0)
| Calls Remote_Token_Proxy::open for you.
void | dump (void) const
| Dump the state of the class.
virtual ACE_Token_Proxy * | clone (void) const
| Return deep copy.
## Protected Methods
virtual ACE_Tokens * | create_token (const ACE_TCHAR *name)

## Detailed Description

Proxy for acquiring, renewing, and releasing a distributed mutex.

This is the remote equivalent to ACE_Local_Mutex. The Remote_Mutex class offers methods for acquiring, renewing, and releasing a distributed synchronization mutex. Similar to ACE_Local_Mutex, ACE_Remote_Token_Proxy offers recursive acquisition, FIFO waiter ordering, and deadlock detection. It depends on the Token Server for its distributed synchronization semantics.

## Constructor & Destructor Documentation

ACE_Remote_Mutex::ACE_Remote_Mutex | ( | void |  | ) |

| Null creation. Remote_Token_Proxy::open must be called.

ACE_Remote_Mutex::ACE_Remote_Mutex | ( | const ACE_TCHAR * | token_name,
|  | int | ignore_deadlock = 0,
|  | int | debug = 0
| ) |

| Calls Remote_Token_Proxy::open for you.

## Member Function Documentation

virtual ACE_Token_Proxy* ACE_Remote_Mutex::clone | ( | void |  | ) | const`[virtual]`

| Return deep copy. Implements ACE_Token_Proxy.

virtual ACE_Tokens* ACE_Remote_Mutex::create_token | ( | const ACE_TCHAR * | name | ) | `[protected, virtual]`

| Make the correct type of ACE_Tokens. This is called by the ACE_Token_Manager. Implements ACE_Token_Proxy.

void ACE_Remote_Mutex::dump | ( | void |  | ) | const

| Dump the state of the class. Reimplemented from ACE_Remote_Token_Proxy.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Remote_Tokens.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Remote_Tokens.cpp